    // Solve energy equation
    alphaEff = alpha + turbulence->nut()/Prt;

    tmp<fvScalarMatrix> TEqn
    (
        fvm::div(phi, T)
        - fvm::laplacian(alphaEff, T)
        - Q/(rho0*Cp0)
    );

    TEqn().relax();

    TEqnResidual = solve(
        TEqn()
    ).initialResidual();

